GLS ShipIT 5.0.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea Class Reference

## Public Member Functions
String | getNDI1D ()
void | setNDI1D (String value)
String | getGBProductIdentifier ()
void | setGBProductIdentifier (String value)
String | getGBPostOffice1D ()
void | setGBPostOffice1D (String value)
String | getCHParcelNumber ()
void | setCHParcelNumber (String value)
String | getCHPRI1D ()
void | setCHPRI1D (String value)
String | getCHSI1D ()
void | setCHSI1D (String value)
String | getRoute ()
void | setRoute (String value)
String | getRouteStation ()
void | setRouteStation (String value)

## Protected Attributes
String | ndi1D
String | gbProductIdentifier
String | gbPostOffice1D
String | chParcelNumber
String | chpri1D
String | chsi1D
String | route
String | routeStation

## Detailed Description

For special domestic German ExpressService label

Java class for NDIArea complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="NDIArea">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="NDI1D" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="GBProductIdentifier" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="GBPostOffice1D" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="CHParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="CHPRI1D" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="CHSI1D" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="Route" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="RouteStation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 51 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## Member Function Documentation

## ◆ getCHParcelNumber()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.getCHParcelNumber | ( |  | ) |

Gets the value of the chParcelNumber property.

Returns
  possible object is String

Definition at line 150 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ getCHPRI1D()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.getCHPRI1D | ( |  | ) |

Gets the value of the chpri1D property.

Returns
  possible object is String

Definition at line 174 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ getCHSI1D()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.getCHSI1D | ( |  | ) |

Gets the value of the chsi1D property.

Returns
  possible object is String

Definition at line 198 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ getGBPostOffice1D()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.getGBPostOffice1D | ( |  | ) |

Gets the value of the gbPostOffice1D property.

Returns
  possible object is String

Definition at line 126 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ getGBProductIdentifier()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.getGBProductIdentifier | ( |  | ) |

Gets the value of the gbProductIdentifier property.

Returns
  possible object is String

Definition at line 102 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ getNDI1D()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.getNDI1D | ( |  | ) |

Gets the value of the ndi1D property.

Returns
  possible object is String

Definition at line 78 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ getRoute()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.getRoute | ( |  | ) |

Gets the value of the route property.

Returns
  possible object is String

Definition at line 222 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ getRouteStation()

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.getRouteStation | ( |  | ) |

Gets the value of the routeStation property.

Returns
  possible object is String

Definition at line 246 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ setCHParcelNumber()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.setCHParcelNumber | ( | String | value | ) |

Sets the value of the chParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 162 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ setCHPRI1D()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.setCHPRI1D | ( | String | value | ) |

Sets the value of the chpri1D property.

Parameters

  value | allowed object is String

Definition at line 186 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ setCHSI1D()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.setCHSI1D | ( | String | value | ) |

Sets the value of the chsi1D property.

Parameters

  value | allowed object is String

Definition at line 210 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ setGBPostOffice1D()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.setGBPostOffice1D | ( | String | value | ) |

Sets the value of the gbPostOffice1D property.

Parameters

  value | allowed object is String

Definition at line 138 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ setGBProductIdentifier()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.setGBProductIdentifier | ( | String | value | ) |

Sets the value of the gbProductIdentifier property.

Parameters

  value | allowed object is String

Definition at line 114 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ setNDI1D()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.setNDI1D | ( | String | value | ) |

Sets the value of the ndi1D property.

Parameters

  value | allowed object is String

Definition at line 90 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ setRoute()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.setRoute | ( | String | value | ) |

Sets the value of the route property.

Parameters

  value | allowed object is String

Definition at line 234 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ setRouteStation()

void eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.setRouteStation | ( | String | value | ) |

Sets the value of the routeStation property.

Parameters

  value | allowed object is String

Definition at line 258 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## Member Data Documentation

## ◆ chParcelNumber

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.chParcelNumber
| protected

Definition at line 60 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ chpri1D

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.chpri1D
| protected

Definition at line 62 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ chsi1D

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.chsi1D
| protected

Definition at line 64 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ gbPostOffice1D

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.gbPostOffice1D
| protected

Definition at line 58 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ gbProductIdentifier

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.gbProductIdentifier
| protected

Definition at line 56 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ ndi1D

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.ndi1D
| protected

Definition at line 54 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ route

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.route
| protected

Definition at line 66 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

## ◆ routeStation

String eu.gls_group.fpcs.v1.shipmentprocessing.types.NDIArea.routeStation
| protected

Definition at line 68 of file gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java.

The documentation for this class was generated from the following file:

- gls_group/fpcs/v1/shipmentprocessing/types/NDIArea.java